HW4Q4<-read.table("HW4Q4.txt")

library(rpart)

HW4Q4_dt<-rpart(formula=injured~.,
                  data=HW4Q4,
                  control=rpart.control(minbucket=1, # smallest size of node
                                        maxdepth=10, # largest depth of tree.
                                        cp=0.000001)) # complexity

### Find the minimum cross-validated error.
### Using 1-s.e. chooses a very simple tree.
HW4Q4_min<-min(HW4Q4_dt$cptable[,4])
HW4Q4_which_min<-min(which(HW4Q4_dt$cptable[,4]==HW4Q4_min))
HW4Q4_cp_min<-HW4Q4_dt$cptable[HW4Q4_which_min,1]
HW4Q4_dt_min<-prune(HW4Q4_dt,cp=HW4Q4_cp_min)

